package dev.fyloz.backup.entities

import org.bson.codecs.pojo.annotations.BsonId
import org.litote.kmongo.Id
import java.time.LocalDateTime

data class Backup(
    @BsonId
    val id: Id<Backup>,
    val files: Collection<BackupFile> = setOf(),
    val creationDateTime: LocalDateTime? = null
)

data class BackupFile(
    @BsonId
    val id: Id<BackupFile>,
    val name: String,
    val path: String,
    val murmur3Hash: String
)

