package dev.fyloz.backup.repositories.injection

import dev.fyloz.backup.repositories.BackupRepository
import dev.fyloz.backup.repositories.MachineRepository
import dev.fyloz.backup.repositories.MemoryMachineRepository
import dev.fyloz.backup.repositories.MongoBackupRepository
import org.koin.dsl.module

object RepositoryInjection {
    val koinBeans = module {
        single<BackupRepository> { MongoBackupRepository() }
        single<MachineRepository> { MemoryMachineRepository() }
    }
}