package dev.fyloz.backup.utils

import org.apache.commons.codec.digest.MurmurHash3

object HashUtils {
    private const val murmurHash3Seed = 817344001

    private fun murmur3(data: ByteArray): LongArray =
        MurmurHash3.hash128x64(data, 0, data.size, murmurHash3Seed)

    fun murmur3Matches(data: ByteArray, hash: String): Boolean {
        val firstLong = hash.subSequence(0..(hash.length / 2)).toString().toLong()
        val secondLong = hash.subSequence((hash.length / 2) + 1 until hash.length).toString().toLong()

        val actualHash = murmur3(data)
        return actualHash[0] == firstLong && actualHash[1] == secondLong
    }
}